<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="location">
            <h2><span jhiTranslate="icyTrainApp.location.detail.title">Location</span> {{location.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="icyTrainApp.location.streetAddress">Street Address</span></dt>
                <dd>
                    <span>{{location.streetAddress}}</span>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.location.postalCode">Postal Code</span></dt>
                <dd>
                    <span>{{location.postalCode}}</span>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.location.city">City</span></dt>
                <dd>
                    <span>{{location.city}}</span>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.location.stateProvince">State Province</span></dt>
                <dd>
                    <span>{{location.stateProvince}}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/location', location.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
